#
# spec file for package grip (Version 3.0.5)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  alsa alsa-devel audiofile cdparanoia docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 esound esound-devel gcc-c++ glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel id3lib id3lib-devel imlib imlib-devel iso_ent libghttp libghttp-devel libstdc++ libstdc++-devel libxml2 openjade opensp resmgr sgml-skel xf86 xmlcharent
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86 XFree86-devel XFree86-libs alsa alsa-devel audiofile autoconf automake binutils bzip2 cdparanoia cracklib docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 esound esound-devel gcc gcc-c++ gdbm gettext glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel id3lib id3lib-devel imlib imlib-devel iso_ent libghttp libghttp-devel libstdc++-devel libtool libxml2 openjade opensp perl resmgr rpm sgml-skel xmlcharent

Name:         grip
License:      GPL
Group:        Productivity/Multimedia/Sound/Utilities
Requires:     vorbis-tools
Autoreqprov:  on
Version:      3.0.5
Release:      248
Summary:      Audio CD ripping application
Source:       %{name}-%{version}.tar.bz2
Patch:        grip-cddb-overflow.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Patch:  %{name}-%{version}.dif

%description
grip automates the process of extracting audio CD data, encoding it
with Ogg Vorbis and naming the resulting files properly using CDDB
data. It also allows for creation of MP3 files if you have an MP3
encoder installed.



Authors:
--------
    Mike Oliphant <oliphant@gtk.org>

%prep
%setup -q
%patch -p1

%build
%{?suse_update_config:%{suse_update_config}}
libtoolize --copy --force
aclocal -I macros
autoconf
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/opt/gnome --mandir=%_mandir --with-gnome=/opt/gnome --with-gnome-libs=/opt/gnome/%_lib
touch doc/C/*.sgml
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO
/opt/gnome/bin/grip
/opt/gnome/share/gnome/apps/Multimedia/grip.desktop
/opt/gnome/share/gnome/help/grip
/opt/gnome/share/locale/*/LC_MESSAGES/grip.mo
/opt/gnome/share/pixmaps/gripicon.png

%changelog -n grip
* Wed Mar 30 2005 - hvogel@suse.de
- fix two buffer overflows in the cddb handling (Bug #71933)
* Sun Mar 02 2003 - meissner@suse.de
- added resmgr to neededforbuild (cdparanoia needs it)
* Thu Feb 06 2003 - meissner@suse.de
- Added documentation generating neededforbuilds etc.
* Wed Feb 05 2003 - meissner@suse.de
- update -> 3.0.5
  Translations (de, ja, ru) and documentation were updated. A
  problem was fixed that caused disc lookups to fail on some systems.
  Several minor ripping bugs were fixed.
* Thu Jan 09 2003 - meissner@suse.de
- update -> 3.0.4
* Mon Sep 30 2002 - uli@suse.de
- update -> 3.0.3
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Tue Jul 02 2002 - meissner@suse.de
- rerun auto* tools, buildrootet.
* Mon Jun 10 2002 - uli@suse.de
- update -> 3.0.0
* Mon Aug 13 2001 - uli@suse.de
- initial package
